package cn.novalon.gym.manage.sys.core.domain;

import cn.novalon.gym.manage.common.util.SnowflakeId;
import io.swagger.v3.oas.annotations.media.Schema;

import java.time.LocalDateTime;

/**
 * 角色领域对象
 * 
 * @author 张翔
 * @date 2026-03-13
 */
@Schema(description = "系统角色实体")
public class SysRole extends BaseDomain {

    @Schema(description = "角色名称", example = "管理员")
    private String roleName;

    @Schema(description = "角色权限字符串", example = "admin")
    private String roleKey;

    @Schema(description = "显示顺序", example = "1")
    private Integer roleSort;

    @Schema(description = "状态：0-禁用，1-正常", example = "1")
    private Integer status;

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleKey() {
        return roleKey;
    }

    public void setRoleKey(String roleKey) {
        this.roleKey = roleKey;
    }

    public Integer getRoleSort() {
        return roleSort;
    }

    public void setRoleSort(Integer roleSort) {
        this.roleSort = roleSort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
